/*
This dofile generates the age and area robustness table
*/


set more off
clear all
est clear
program drop _all

local maindir = [REDACTED]
local instruments pernum persf lghwy		
local compvars rm_es rm_f hhe hhf		

capt prog drop firstf						
prog firstf, eclass
eret post A B
eret scalar N = el(C,1,1)
eret scalar r2 = el(D,1,1)
eret scalar J = el(E,1,1)
eret scalar Jp = el(F,1,1)
eret scalar FF = el(G,1,4)
eret scalar FFp = el(G,1,7)
end

use [REDACTED], replace

replace pop = log(pop)

foreach model in `compvars'{
qui ivregress gmm tfpq yr* area (`model' = `instruments'), cluster(cea) 	
mat A = e(b)								
mat B = e(V)
mat C = e(N)
mat D = e(r2)
qui estat overid
mat E = r(HansenJ)
mat F = r(p_HansenJ)
qui estat first
mat G = r(singleresults)
firstf
eststo iv_`model'
}

estout iv* using [REDACTED], replace cells(b(star fmt(%9.4f)) se(par fmt(%9.4f))) stats(N r2 FF FFp J Jp, fmt(%9.0f %9.4f %9.4f %9.4f %9.4f) label("Observations" "$ R^2 $ " " First-Stage F" "p Value" "Hausman J Statistic" "p Value") ) drop(_cons yr* o.yr*) coll(,none) mlabel(,none) numbers style(tex)
