/*
This dofile generates first stage regressions
*/

************
* Preliminaries
************

set more off
clear all
est clear
program drop _all

local maindir = [REDACTED]
local instruments d_pernum d_persf d_lghwy					
local compvars rm_es rm_f hhe hhf						

use `maindir'/data/master.dta, replace


************
* Estimation
************

foreach model in `compvars'{
eststo lhs_`model' : qui reg d_`model' `instruments' yr*, cluster(cea)
estadd scalar Nround = round(e(N),100)
estadd scalar Cround = round(e(N_clust),50)
}

estout lhs_* using [REDACTED], replace starlevels(* 0.05) cells(b(fmt(%9.4f)) se(par fmt(%9.4f))) stats(Nround Cround r2, fmt(%9.0f %9.0f %9.4f) label("Observations (rounded)" "Clusters (rounded)" "R2 " ) ) label coll(,none) drop(_cons) numbers style(tab)
