/*
This dofile generates the returns to scale robustness table
*/


************
* Preliminaries
************

set more off
clear all
est clear
program drop _all

local maindir = [REDACTED]
local instruments d_pernum d_persf d_lghwy							
local compvars rm_es rm_f hhe hhf								

use[REDACTED]

************
* Estimation
************

* Returns to Scale Results

use [REDACTED]

eststo rts1: qui ivregress gmm tfpq yr* (poutput = `instruments'), cluster(cea)			
foreach cmit in `compvars'{
eststo rts2_`cmit': qui ivregress gmm tfpq yr* (poutput d_`cmit' = `instruments'), cluster(cea)		
}

estout rts1 rts2* using [REDACTED], replace cells(b(star fmt(%9.4f)) se(par fmt(%9.4f))) stats(N r2 J Jp, fmt(%9.0f %9.4f %9.4f) label("Observations" "$ R^2 $" "Hansen J Stat" "p Value")) drop(_cons yr* o.*) coll(,none) mlabel(,none) numbers style(fixed)
