/*
This dofile generates the summary statistics table
*/

************
* Preliminaries
************

set more off
clear all
est clear
program drop _all

local root = [REDACTED]	
local sumlist d_rm_es d_rm_f d_hhe d_hhf d_pernum d_persf d_lghwy

use [REDACTED], replace

************
* Generating a Matrix of Summary Stats
************

collapse (mean) `sumlist' area, by(cea year)			
replace area = exp(area)						
foreach var in `sumlist'{
	foreach yr in 82 87 92 {
		sum `var' if year==`yr'
		mat A = nullmat(A), (r(mean),r(sd))
		}
	mat Z = nullmat(Z)\A						
	mat drop A
	}
mat Z = Z',[82\82\87\87\92\92]					
mat coln Z = `sumlist' year				
clear

************
* Convert and Export
************

svmat Z, names(col)									
export delimited using [REDACTED], replace delimiter(tab)	

